Delete address - customer context - Fabric
Delete address - customer context
cURL
curl --request DELETE \
--url https://api.fabric.inc/v3/customers/self/customer-address/{addressId} \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.fabric.inc/v3/customers/self/customer-address/{addressId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fabric.inc/v3/customers/self/customer-address/{addressId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/customers/self/customer-address/{addressId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/customers/self/customer-address/{addressId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest (Java)
HttpResponse<String> response = Unirest.delete("https://api.fabric.inc/v3/customers/self/customer-address/{addressId}")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/customers/self/customer-address/{addressId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Response
Status Code: 200
Message Type: customerAddressDeletionSuccess
{
"type": "CUSTOMER_ADDRESS_DELETED_SUCCESSFULLY",
"message": "Customer address deleted successfully"
}
Authorizations
- Authorization (header): string, required, The access token.
Headers
- x-fabric-tenant-id: string, required, A header used by fabric to identify the tenant making the request.
- x-fabric-request-id: string, A UUID of the request.
Path Parameters
- addressId: string, required, A 24-character system-generated ID of the customer's address.
Response Format
200 (application/json)
Delete customer address response
- type: string, required, A machine-readable code.
- message: string, required, A human-friendly message corresponding to the
type.